Summary: X.Org X11 libXxf86dga runtime library
Name: libXxf86dga
Version: 1.1.5
Release: 4%{?dist}
License: MIT
URL: http://www.x.org
Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: make
BuildRequires: autoconf automake libtool pkgconfig
BuildRequires: xorg-x11-util-macros xorg-x11-proto-devel >= 7.4-32
BuildRequires: libX11-devel >= 1.5.99.902 libXext-devel
Requires: libX11 >= 1.5.99.902

%description
This package provides X.Org X11 libXxf86dga runtime library.

%package devel
Summary: X.Org X11 libXxf86dga development package
Requires: %{name} = %{version}-%{release}

%description devel
This package provides X.Org X11 libXxf86dga development filaes.

%prep
%autosetup -n libXxf86dga-%{version}

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
rm -rf %{buildroot}

%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc COPYING README.md
%{_libdir}/libXxf86dga.so.1
%{_libdir}/libXxf86dga.so.1.0.0

%files devel
%{_libdir}/libXxf86dga.so
%{_libdir}/pkgconfig/xxf86dga.pc
%{_includedir}/X11/extensions/xf86dga1.h
%{_includedir}/X11/extensions/Xxf86dga.h
%{_mandir}/man3/*.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 23 2022 Wang Guodong <gordonwwang@tencent.com> - 1.1.5-1
- package init.
